{{/*
Common labels
*/}}
{{- define "athena.labels" -}}
{{ include "athena-utils.labels" . }}
{{- end -}}

{{/*
Selector labels
*/}}
{{- define "athena.selectorLabels" -}}
{{ include "athena-utils.selectorLabels" . }}
{{- end -}}

{{/*
     Athena Workgroup Name
*/}}
{{- define "athena.workgroupName" -}}
{{ include "athena-utils.externalNamingPrefix" . }}
{{- end -}}

{{/*
     Athena Result Output Location From S3 Bucket
*/}}
{{- define "athena.s3configmap" -}}
{{ required "You must specify the `releaseName` for the results output bucket" .Values.resultLocation.releaseName -}}-{{- required "You must specify the `alias` for the results Output bucket" .Values.resultLocation.alias -}}-outputs
{{- end -}}

{{/*
   Define the athena workgroup arn configMap params if existingInfraOverrides flag is set.
   The arn configmap is created when deploy-athena.sh is called. Since
   for overrides, we need to populate the same for the existing infrastructure.
*/}}
{{- define "athena.arnConfigMapParams" -}}
{{- if not .Values.existingInfraOverrides.ARN }}
{{ printf ("\n\nIf you have set \".Values.existingInfraOverrides.enable\" as true then please provide a value for the existing athena workgroup ARN.") | fail }}
{{- end }}
ARN: {{ .Values.existingInfraOverrides.ARN }}
{{- if .Values.existingInfraOverrides.resultLocation -}}
resultLocation: {{ .Values.existingInfraOverrides.resultLocation }}
{{- end }}
{{- if .Values.existingInfraOverrides.ReadOnlyPolicy -}}
ReadOnlyPolicy: {{ .Values.existingInfraOverrides.ReadOnlyPolicy }}
{{- end }}
{{- if .Values.existingInfraOverrides.ReadWritePolicy -}}
ReadWritePolicy: {{ .Values.existingInfraOverrides.ReadWritePolicy }}
{{- end }}
{{- end -}}



{{- define "athena.outputConfigMapParams" -}}
{{ if .Values.existingInfraOverrides.enable }}
workgroupName: {{ .Values.existingInfraOverrides.workgroupName }}
{{ else }}
workgroupName: "{{ include "athena.workgroupName" . }}"
{{ end }}
{{- end -}}
